Standalone Notetaker
Nylas Notetaker is a real-time meeting bot that you can invite to your online meetings. It records and transcribes your discussion, and delivers results to you using the Nylas API and webhook notifications.
The /v3/notetakers endpoints let you interact with Nylas Notetaker without referencing a grant. This lets all your users — even those who haven't authenticated with your Nylas application — use Notetaker in their meetings.
GET /v3/notetakersReturns a list of standalone Notetaker bots.
POST /v3/notetakersAdds a standalone Notetaker bot to the specified meeting. You can optionally provide a config id to reference an existing configuration, or pass notetaker settings inline to create a per-notetaker con...
GET /v3/notetakers/{notetaker_id}Returns the specified Notetaker bot and its details.
PATCH /v3/notetakers/{notetaker_id}Updates the specified scheduled standalone Notetaker bot. Only Notetakers in the scheduled state can be updated. After the bot joins the meeting, this endpoint returns 400 Bad Request with the message...
DELETE /v3/notetakers/{notetaker_id}Permanently deletes the specified Notetaker and all associated data, including any recordings, transcripts, thumbnails, summaries, and action items. This works regardless of the Notetaker's current st...
GET /v3/notetakers/{notetaker_id}/historyReturns the full history of events and state changes for the specified standalone Notetaker bot.
DELETE /v3/notetakers/{notetaker_id}/cancelCancels a standalone Notetaker while its status is scheduled, connecting, or waiting for entry, preventing it from joining the meeting. After the Notetaker joins the meeting, use the leave endpoint. T...
POST /v3/notetakers/{notetaker_id}/leaveSends a request to the specified standalone Notetaker bot to leave the meeting it's currently attending. If the Notetaker's status is scheduled, connecting, or waiting for entry, use the cancel endpoi...
GET /v3/notetakers/{notetaker_id}/mediaReturns a list of links to media generated by the specified standalone Notetaker bot.